RAD(8)

NAME
rad - router advertisement daemon

SYNOPSIS
rad [-dnv] [-f file] [-s socket]

DESCRIPTION
rad is an IPv6 router advertisement daemon. It periodically sends IPv6 router advertisement messages with prefix and default router information. Clients like slaacd(8) use these to configure IPv6 addresses on network interfaces and set default routes. Additionally it listens for IPv6 router solicitation messages and responds with router advertisements.

To have rad enabled at boot time, use “rcctl enable rad”, which sets

    rad_flags=""

in rc.conf.local(8).

A running rad can be controlled with the ractl(8) utility.

The options are as follows:

-d  Do not daemonize. If this option is specified, rad will run in the foreground and log to stderr.

-f file
    Specify an alternative configuration file.

-n  Configtest mode. Only check the configuration file for validity.

-s socket
    Use an alternate location for the default control socket.

-v  Produce more verbose output.

FILES
/etc/rad.conf
    Default rad configuration file.
/var/run/rad.sock
    UNIX-domain socket used for communication with ractl(8).

SEE ALSO
rad.conf(5), ractl(8), slaacd(8)

STANDARDS
R. Draves, D. Thaler, November 2005, RFC 4191, Default Router Preferences and More-Specific Routes.

R. Hinden, S. Deering, February 2006, RFC 4291, IP Version 6 Addressing Architecture.

T. Narten, E. Nordmark, W. Simpson, H. Soliman, September 2007, RFC 4861, Neighbor Discovery for IP version 6 (IPv6).

A. Yourtchenko, L. Colitti, February 2016, RFC 7772, Reducing Energy Consumption of Router Advertisements.

J. Jeong, S. Park, L. Beloeil, S. Madanapalli, March 2017, RFC 8106, IPv6 Router Advertisement Options for DNS Configuration.

L. Colitti, J. Linkova, April 2020, RFC 8781, Discovering PREF64 in Router Advertisements.

HISTORY
The rad program first appeared in OpenBSD 6.4.

AUTHORS
-nosplit The rad program was written by Florian Obser <florian@openbsd.org>.